module.exports = function (karma) {
    karma.set({
        /**
         * From where to look for files, starting with the location of this file.
         */
        basePath: '.',

        /**
         * This is the list of file patterns to load into the browser during testing.
         */
        files: [
            'node_modules/sofa-core/dist/sofa.core.js',
            'node_modules/sofa-q-service/dist/sofa.qService.js',
            'node_modules/sofa-http-service/dist/sofa.httpService.js',
            'src/**/*.js',
            'node_modules/sofa-testing/mocks/sofa.config.mock.js',
            'node_modules/sofa-testing/mocks/sofa.products.mock.js',
            'node_modules/sofa-testing/mocks/sofa.httpService.mock.js',
            'bower_components/jasmine.async/src/jasmine.async.js',
            'test/**/*.spec.js'
        ],
        exclude: [],
        frameworks: ['jasmine'],
        plugins: [
            'karma-jasmine',
            'karma-firefox-launcher',
            'karma-chrome-launcher',
            'karma-phantomjs-launcher',
            'karma-coffee-preprocessor'
        ],
        preprocessors: {},

        /**
         * How to report, by default.
         */
        reporters: 'dots',

        /**
         * On which port should the browser connect, on which port is the test runner
         * operating, and what is the URL path for the browser to use.
         */
        port: 9018,
        runnerPort: 9101,
        urlRoot: '/',

        /**
         * Disable file watching by default.
         */
        autoWatch: false,

        /**
         * The list of browsers to launch to test on. This includes only "Firefox" by
         * default, but other browser names include:
         * Chrome, ChromeCanary, Firefox, Opera, Safari, PhantomJS
         *
         * Note that you can also use the executable name of the browser, like "chromium"
         * or "firefox", but that these vary based on your operating system.
         *
         * You may also leave this blank and manually navigate your browser to
         * http://localhost:9018/ when you're running tests. The window/tab can be left
         * open and the tests will automatically occur there during the build. This has
         * the aesthetic advantage of not launching a browser every time you save.
         */
        browsers: [
            process.env.TRAVIS ? 'Firefox' : 'Chrome'
        ]
    });
};
